- Testsigma REST APIs
Manage Environments
Elements
Test Plans
Upload Files
Get Project Wide Information
Upload & Update Test Data Profile
Fetch Test Results (All Levels)
Trigger Multiple Test Plans
Trigger Test Plans Remotely & Wait Until Completion
Run the Same Test Plan Multiple Times in Parallel
Schedule, Update & Delete a Test Plan Using API
Update Test Case Results Using API
Create and Update Values of Test Data Profile Using REST API
Rerun Test Cases from Run Results using API
Salesforce Metadata Refresh Using API
Manage Test Steps Using API
Schedule, Update & Delete a Test Plan Using API
With Testsigma, you can create, update, and delete a schedule for test plan using API. You can also set the test plan execution in the queue to start tests outside office hours so that production time is not lost.
For more information on test plans, refer to the documentation on managing test plans.
Test plan details using REST API
This endpoint allows users to get all test plans using REST API.
| Request Type | GET |
|---|---|
| Endpoint | https://app.testsigma.com/api/v1/test_plans |
| Params | query=applicationVersionId:<versionid> |
| Response Body (JSON) | { "content": [{ "id": 185, "applicationVersionId": 52, "name": "TP 1" <Other data> }] } |
applicationVersionId: The ID of the application version where you want to schedule the test plan.
Schedule a test plan using REST API
This endpoint allows users to schedule a test plan using REST API.
| Request Type | POST |
|---|---|
| Endpoint | https://app.testsigma.com/api/v1/schedule_executions |
| Authorization | Bearer <API_Token> Same as the Testsigma API key mentioned above. |
| Request Body Type (JSON) | Raw |
| Payload | { |
| Response Body(JSON) | { |
Request fields
name: The name you want to give to test schedule.
scheduleType: How frequently you want to run tests ('ONCE' , 'HOURLY' , 'DAILY', 'WEEKLY', 'MONTHLY').
nextInterval: Date and time (yyyy-MM-dd'T'HH:mm:ss.SSS) to trigger the test plan. [Sample data: 2022-12-14T11:13:00.000]
timezone: The timezone you want to follow.
executionId: Test plan ID from get API.
Response fields
id: The ID of the Project in which you want to schedule a test plan.
executionId: Test plan ID from get API.
name: The name you want to give to the test schedule.
scheduletype: How frequently you want to run tests ('ONCE' , 'HOURLY' , 'DAILY', 'WEEKLY', 'MONTHLY').
nextinterval: Date and time (yyyy-MM-dd'T'HH:mm:ss.SSS) to trigger the test plan. [Sample data: 2022-12-14T11:13:00.000]
createdById/updatedById: The user ID of the creator/updater
createdDate/updatedDate: Date when the asset is created/updated.
Payload: The Request Body types.
Update a scheduled test plan using REST API
This endpoint allows users to update a scheduled test plan using REST API.
| Request Type | PUT |
|---|---|
| Endpoint | https://app.testsigma.com/api/v1/schedule_executions/<scheduleId> |
| Authorization | Bearer <API_Token> Same as the Testsigma API key mentioned above. |
| Request Body Type (JSON) | Raw |
| Request Body | { |
| Response Body(JSON) | { |
scheduleId: The ID of the required schedule of the plan selected
Delete a scheduled test plan using REST API
This endpoint allows users to delete a scheduled test plan using REST API.
| Request Type | DELETE |
|---|---|
| Endpoint | https://staging.testsigma.com/api/v1/schedule_executions/<scheduleId> |
DELETE method will delete the respective schedule and return status code 202.